Vous pourrez bientôt redonner vie à votre vieil iPad grâce à Linux

Ce projet n’en est qu’à ses balbutiements mais pourrait à terme redonner un second souffle à des tablettes décrites comme obsolètes par Apple.

Bon nombre d’utilisateurs n’ont toujours pas cédé aux sirènes des derniers iPad et continuent d’utiliser leurs iPad mini, iPad Air ou iPad datant parfois de près d’une décennie.

Des modèles jugés obsolètes mais toujours utilisés dans de nombreux foyers

Ces modèles sont peut-être toujours parfaitement opérationnels pour des tâches basiques comme la navigation web ou la lecture de contenus multimédia mais leur fiche technique accuse néanmoins le poids des années.

Les plus vieux iPad ne sont plus supportés par Apple, qui n’apporte plus de mises à jour d’iOS ni de nouvelles fonctionnalités à ses vénérables appareils. Les consommateurs sont invités à remplacer leur modèle par un nouvel iPad plus puissant et équipé de la dernière version.

Si vous ne voulez pas repasser à la caisse et dépenser au minimum 400 € pour remplacer une tablette qui fonctionne toujours, des développeurs ont peut-être une solution qui n’a certes rien d’officiel mais qui pourrait vous rendre de fiers services.

Un développement difficile qui avance à son rythme

Le développeur Konrad Dybcio et un autre passionné se faisant appeler quaack723 sur le web sont actuellement au travail pour installer Linux sur les vieux iPad. Pour ce faire, les deux bidouilleurs utilisent une distribution postmakerOS, basée sur la distribution légère Alpine Linux et adaptée aux appareils mobiles.

Pour réussir à installer Linux, les deux développeurs semblent avoir utilisé une faille de sécurité baptisée « Checkm8 », qui permet de jailbreaker son appareil iOS indéfiniment.

Actuellement, les travaux sont préliminaires et tout ne fonctionne pas correctement. L’installation semble ne fonctionner que sur des appareils équipés des puces Apple A7 et A8, soit des iPad sortis en 2013 et 2014 comme l’iPad Air 2, mais les deux informaticiens expliquent dans une série de tweets qu’à terme même les iPhone ou l’enceinte connectée HomePod, équipée elle aussi d’une puce ancienne, pourraient être compatibles.

Pour l’heure l’installation bloque car le système ne peut pas monter de système de fichiers. Le Bluetooth, l’audio et l’accélération graphique semblent également poser problème mais le travail avance à son rythme et les développeurs semblent sur le coup. D’autres experts pourraient leur venir en aide prochainement pour accélérer le développement.

Source: Clubic.com

Comments are Closed

Page Reader Press Enter to Read Page Content Out Loud Press Enter to Pause or Restart Reading Page Content Out Loud Press Enter to Stop Reading Page Content Out Loud Screen Reader Support